| Haskell Hierarchical Libraries (Cabal package) | Source code | Contents | Index

Distribution.Simple.JHC

Portability | portable
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>

Description
Synopsis

build :: PackageDescription -> LocalBuildInfo -> Int -> IO ()
installLib :: Int -> FilePath -> FilePath -> PackageDescription -> Library -> IO ()
installExe :: Int -> FilePath -> FilePath -> PackageDescription -> Executable -> IO ()

Documentation
build :: PackageDescription -> LocalBuildInfo -> Int -> IO ()
Building a package for JHC. Currently C source files are not supported.
installLib :: Int -> FilePath -> FilePath -> PackageDescription -> Library -> IO ()
installExe :: Int -> FilePath -> FilePath -> PackageDescription -> Executable -> IO ()
Produced by Haddock version 0.8